import { Slot } from "@radix-ui/react-slot"

import { preambleVariants } from "./variants"

import type { CaptionProps } from "./preamble"

export default function Preamble({
  asChild = false,
  className = "",
  color,
  textAlign,
  ...props
}: CaptionProps) {
  const Comp = asChild ? Slot : "p"
  const classNames = preambleVariants({
    className,
    color,
    textAlign,
  })
  return <Comp className={classNames} {...props} />
}
